Unable to connect to Home Assistant and no route to host on SSH

Hi all, my hassio doesn’t work anymore. I did nothing particular, I first wasn’t able to acces to configuration supervisor (don’t remember the error). Now, I have this error when I try to access to my hassio : Unable to connect to Home Assistant.

When I try to interact with it through SSH I oftently have this error : Get http://supervisor/host/info: dial tcp 172.30.32.2:80: connect: no route to host (for example with ha host info).

Here is my home-assistant.log :

2020-04-16 22:22:37 ERROR (MainThread) [homeassistant.components.netatmo] Error during webhook registration - 400 - Bad request - Allowed ports for webhooks are 443 and 80. (21) when accessing 'https://api.netatmo.com/api/addwebhook'
2020-04-16 22:47:13 WARNING (MainThread) [homeassistant.helpers.entity] Update of cover.cuisine is taking over 10 seconds
2020-04-17 01:00:14 WARNING (MainThread) [homeassistant.helpers.entity] Update of climate.netatmo_salon is taking over 10 seconds
2020-04-17 01:01:04 ERROR (MainThread) [homeassistant.helpers.entity] Update for climate.netatmo_salon fails
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pyatmo/auth.py", line 129, in query
    rsp = self._oauth.post(url=url, data=params, timeout=timeout)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 578, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests_oauthlib/oauth2_session.py", line 478, in request
    url, http_method=method, body=data, headers=headers
  File "/usr/local/lib/python3.7/site-packages/oauthlib/oauth2/rfc6749/clients/base.py", line 198, in add_token
    raise TokenExpiredError()
oauthlib.oauth2.rfc6749.errors.TokenExpiredError: (token_expired)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 279, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 476, in async_device_update
    await self.hass.async_add_executor_job(self.update)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/netatmo/climate.py", line 367, in update
    self._data.update()
  File "/usr/src/homeassistant/homeassistant/util/__init__.py", line 240, in wrapper
    result = method(*args, **kwargs)
  File "/usr/src/homeassistant/homeassistant/components/netatmo/climate.py", line 486, in update
    self.homestatus = pyatmo.HomeStatus(self.auth, home_id=self.home_id)
  File "/usr/local/lib/python3.7/site-packages/pyatmo/thermostat.py", line 177, in __init__
    self.home_data = HomeData(authData)
  File "/usr/local/lib/python3.7/site-packages/pyatmo/thermostat.py", line 26, in __init__
    resp = self.authData.post_request(url=_GETHOMESDATA_REQ)
  File "/usr/local/lib/python3.7/site-packages/pyatmo/auth.py", line 143, in post_request
    resp = query(url, params, timeout, 3)
  File "/usr/local/lib/python3.7/site-packages/pyatmo/auth.py", line 137, in query
    self._oauth.token = self.refresh_tokens()
  File "/usr/src/homeassistant/homeassistant/components/netatmo/api.py", line 32, in refresh_tokens
    self.session.async_ensure_token_valid(), self.hass.loop
  File "/usr/local/lib/python3.7/concurrent/futures/_base.py", line 435, in result
    return self.__get_result()
  File "/usr/local/lib/python3.7/concurrent/futures/_base.py", line 384, in __get_result
    raise self._exception
  File "/usr/src/homeassistant/homeassistant/helpers/config_entry_oauth2_flow.py", line 413, in async_ensure_token_valid
    new_token = await self.implementation.async_refresh_token(self.token)
  File "/usr/src/homeassistant/homeassistant/helpers/config_entry_oauth2_flow.py", line 78, in async_refresh_token
    new_token = await self._async_refresh_token(token)
  File "/usr/src/homeassistant/homeassistant/components/cloud/account_link.py", line 143, in _async_refresh_token
    self.hass.data[DOMAIN], self.service, token["refresh_token"]
  File "/usr/local/lib/python3.7/site-packages/hass_nabucasa/account_link.py", line 112, in async_fetch_access_token
    resp.raise_for_status()
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client_reqrep.py", line 946, in raise_for_status
    headers=self.headers)
aiohttp.client_exceptions.ClientResponseError: 504, message='Gateway Time-out', url='https://account-link.nabucasa.com/refresh_token/netatmo
2020-04-17 01:01:15 WARNING (MainThread) [homeassistant.helpers.entity] Update of climate.netatmo_salon is taking over 10 seconds
2020-04-17 01:02:05 ERROR (MainThread) [homeassistant.helpers.entity] Update for climate.netatmo_salon fails
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pyatmo/auth.py", line 129, in query
    rsp = self._oauth.post(url=url, data=params, timeout=timeout)

Do you have ideas on what’s wrong with my configuration ?
Thanks for your help :slight_smile:

Hi!
I appear to have the same problem, and I would say it started 3 days ago, also…
It started by getting some error like “Unable to load the panel source: /api/hassio/app/entrypoint.js” when I tried to access supervisor tab in HomeAssistant.
Then, after a reboot, I can no longer access the HomeAssistant UI at all.

Could this be related to any Hassio/Supervisor automatic update?

I can access through SSH but when I run “ha check” it says:
Post http://supervisor/core/check: dial tcp 172.30.32.2:80: connect: no route to host

In my home-assitant.log file I have this:

2020-05-01 01:05:32 WARNING (MainThread) [asyncio] socket.send() raised exception.
2020-05-01 01:05:44 WARNING (MainThread) [asyncio] socket.send() raised exception.
2020-05-01 01:05:44 WARNING (MainThread) [asyncio] socket.send() raised exception.
2020-05-01 01:05:50 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.swap_free is taking over 10 seconds
2020-05-01 01:06:16 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.memory_use_percent is taking over 10 seconds
2020-05-01 19:23:54 ERROR (MainThread) [metno] https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/1.9/ returned Cannot connect to host aa015h6buqvih86i1.api.met.no:443 ssl:None [Try again]
2020-05-01 19:23:57 ERROR (MainThread) [homeassistant.components.met.weather] Retrying in 17 minutes
2020-05-01 22:41:18 ERROR (MainThread) [metno] https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/1.9/ returned Cannot connect to host aa015h6buqvih86i1.api.met.no:443 ssl:None [Try again]
2020-05-01 22:41:24 ERROR (MainThread) [homeassistant.components.met.weather] Retrying in 18 minutes
2020-05-01 23:28:31 ERROR (MainThread) [homeassistant.components.hassio.http] Client error on api app/entrypoint.js request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-01 23:28:59 ERROR (MainThread) [homeassistant.components.hassio.http] Client error on api app/entrypoint.js request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-01 23:29:36 ERROR (MainThread) [homeassistant.components.hassio.http] Client error on api app/entrypoint.js request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-01 23:29:46 ERROR (MainThread) [homeassistant.components.hassio.http] Client error on api app/entrypoint.js request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-01 23:34:29 ERROR (MainThread) [homeassistant.components.hassio.handler] Client error on /homeassistant/restart request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-01 23:35:37 ERROR (MainThread) [homeassistant.components.hassio.http] Client error on api app/entrypoint.js request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-02 00:12:53 ERROR (MainThread) [homeassistant.components.hassio.handler] Client error on /homeassistant/info request Cannot connect to host 172.30.32.2:80 ssl:None [Connect call failed ('172.30.32.2', 80)]
2020-05-02 00:12:53 WARNING (MainThread) [homeassistant.components.hassio] Can't read last version:

When running “journalctl -fu hassos-supervisor” it says:

May 04 08:16:49 homeassistant systemd[1]: Started HassOS supervisor.
May 04 08:16:51 homeassistant hassos-supervisor[667]: Error: No such object: homeassistant/aarch64-hassio-supervisor
May 04 08:16:51 homeassistant systemd[1]: hassos-supervisor.service: Main process exited, code=exited, status=1/FAILURE
May 04 08:16:51 homeassistant systemd[1]: hassos-supervisor.service: Failed with result 'exit-code'.
May 04 08:16:56 homeassistant systemd[1]: hassos-supervisor.service: Service RestartSec=5s expired, scheduling restart.
May 04 08:16:56 homeassistant systemd[1]: hassos-supervisor.service: Scheduled restart job, restart counter is at 4.
May 04 08:16:56 homeassistant systemd[1]: Stopped HassOS supervisor.
May 04 08:16:56 homeassistant systemd[1]: Starting HassOS supervisor...
May 04 08:16:56 homeassistant docker[687]: hassos_supervisor
May 04 08:16:56 homeassistant systemd[1]: Started HassOS supervisor.
May 04 08:16:57 homeassistant hassos-supervisor[696]: Error: No such object: homeassistant/aarch64-hassio-supervisor
May 04 08:16:57 homeassistant systemd[1]: hassos-supervisor.service: Main process exited, code=exited, status=1/FAILURE
May 04 08:16:57 homeassistant systemd[1]: hassos-supervisor.service: Failed with result 'exit-code'.
May 04 08:17:02 homeassistant systemd[1]: hassos-supervisor.service: Service RestartSec=5s expired, scheduling restart.
May 04 08:17:02 homeassistant systemd[1]: hassos-supervisor.service: Scheduled restart job, restart counter is at 5.
May 04 08:17:02 homeassistant systemd[1]: Stopped HassOS supervisor.
May 04 08:17:02 homeassistant systemd[1]: hassos-supervisor.service: Start request repeated too quickly.
May 04 08:17:02 homeassistant systemd[1]: hassos-supervisor.service: Failed with result 'exit-code'.
May 04 08:17:02 homeassistant systemd[1]: Failed to start HassOS supervisor.

Running HassIO on a Rpi3.
Thanks for any help!

Experienced this today. Couldn’t get the CLI to do anything useful.

I’m running on a VM so I logged into the host and noticed the supervisor image was gone.

[email protected] [ ~ ]# docker ps -a
CONTAINER ID        IMAGE                                            COMMAND                  CREATED             STATUS                      PORTS                    NAMES
...
8a6d4fd024d6        139809259d10                                     "/init"                  6 days ago          Exited (0) 14 minutes ago                            hassio_supervisor
...

Pulled down the latest image for my architecture (amd64), and the supervisor service automatically started the container.

$ docker pull homeassistant/amd64-hassio-supervisor:latest
2 Likes

Same issue here…

This worked for me, too. On a Pi 3 B+, I did the following:

ha > login
# docker pull homeassistant/armv7-hassio-supervisor:latest
# exit

and things took a few minutes and started up.

Thanks!

Edit: All seemed well but now it won’t upgrade to 0.109.6.

20-05-08 20:53:01 INFO (MainThread) [supervisor.homeassistant] Update Home Assistant to version 0.109.6
20-05-08 20:53:01 INFO (SyncWorker_3) [supervisor.docker.interface] Update image homeassistant/raspberrypi3-homeassistant:0.109.1 to homeassistant/raspberrypi3-homeassistant:0.109.6
20-05-08 20:53:01 INFO (SyncWorker_3) [supervisor.docker.interface] Pull image homeassistant/raspberrypi3-homeassistant tag 0.109.6.
20-05-08 20:53:11 ERROR (SyncWorker_3) [supervisor.docker.interface] Can't install homeassistant/raspberrypi3-homeassistant:0.109.6 -> 500 Server Error: Internal Server Error ("Get https://registry-1.docker.io/v2/: net/http: TLS handshake timeout").
20-05-08 20:53:11 WARNING (MainThread) [supervisor.homeassistant] Update Home Assistant image fails

Edit #2: It took a few tries, but reloading the supervisor and then upgrading finally worked.

1 Like

Solved mine too. Thanks!

This solved my issue as well. Had a neverending boot loop om my virtual hassio in hyper-v.

ha > login
# docker pull homeassistant/armv7-hassio-supervisor:latest
# exit

1 Like

Hi all, thanks for your replies. I tried to use the command line that worked for several peoples :

docker pull homeassistant/armv7-hassio-supervisor:latest

But I have a message saying that Protection Mode is enable… Is there a way to disable it through SSH ?

1 Like

I also got this problem on my Rpi4. Did a physical reboot, not working.
SSH into the Rpi4 via -p 22222 and login:
docker pull homeassistant/armv7-hassio-supervisor:latest

But nothing. Then I started to tail the logs and saw that the system was taking a lot of time comming up.
After 15minutes the system was up again and now it all works again.

1 Like

Same on my tinkerboard, neverending boot loop, so I typed quickly after boot:

ha > login
# systemctl stop hassio-supervisor.service
# docker pull homeassistant/armv7-hassio-supervisor:latest
# exit

Without systemctl stop hassio-supervisor.service docker never pulled new supervisor image because of another reboot. Annoying feature :slight_smile:

I’ve got the same problem this morning on my RPI4B. But when I try “systemctl stop hassio-supervisor.service”, it says it’s not running. The continuous rebooting prevents the docker pull from finishing.
Does anyone have any other ideas?

I have same problem. I would like to know how to disable the Protection Mode from SSH.